---

# Parameters:
#   playbook inventory
#     stage := the name of the stage (e.g. dev, int, qa, prod)
#     tenant := object with tenant related data
#       key := 
#       name := 
#     cluster := object with cluster specific data (optional)
#       ...
#     data := object with action specific data (optional)
#       ...
#   smardigo message callback
#     scope_id := (scope id of the management process)
#     process_instance_id := (process instance id of the management process)
#     smardigo_management_action := (smardigo management action anme of the management process)

#############################################################
#   Creating inventory dynamically for given parameters
#############################################################

- import_playbook: pmci-inventory-database.yml

#############################################################
#   Creating databases for created inventory
#############################################################

- hosts: "stage_{{ stage }}:!{{ stage }}-virtual-host-to-read-groups-vars"
  serial: "{{ serial_number | default(1) }}"
  remote_user: root
  vars:
    ansible_ssh_host: "{{ stage_server_domain }}"
    tenant_id: "{{ tenant.key }}" # legacy paramater, backwards compatibility
    cluster_name: "{{ cluster.key }}" # legacy paramater, backwards compatibility

  pre_tasks:
    - name: "Import autodiscover pre-tasks"
      import_tasks: tasks/autodiscover_pre_tasks.yml
      become: false
      tags:
        - always

  roles:
    - role: connect_postgres
      when: "'connect' in group_names"

    - role: gitea_postgres
      when: "'gitea' in group_names"

    - role: keycloak_postgres
      when: "'keycloak' in group_names"

    - role: webdav_postgres
      when: "'webdav' in group_names"

    - role: connect_wordpress_maria
      when: "'connect_wordpress' in group_names"

#############################################################
#   Sending smardigo management message to process
#############################################################

- import_playbook: pmci-callback.yml
